Bug 968961 - [User Portal] Displaying incorrect events after renaming VM
[User Portal] Displaying incorrect events after renaming VM
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-userportal (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.4.0
Assigned To: Oved Ourfali
Depends On:
  Show dependency treegraph
Reported: 2013-05-30 07:29 EDT by movciari
Modified: 2015-09-22 09 EDT (History)
9 users (show)

See Also:
Fixed In Version: ovirt-3.4.0-alpha1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-06-12 10:05:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 23058 None None None Never

  None (edit)
Description movciari 2013-05-30 07:29:37 EDT
Description of problem:
After you rename VM, its events will disappear from events subtab in userportal and there is only one event saying that it was renamed.
In webadmin events don't disappear

Another problem is that if you have VMs with names for example: "old" and "another", and you rename "old" to "new" and "another" to "old", then VM which currently has name "old" sees events generated for machine that previously had name "old"

Version-Release number of selected component (if applicable):
3.2.0-11.29 (sf17.2)

How reproducible:

Steps to reproduce:
1: Rename VM
2: Go to events subtab of renamed VM in userportal

Actual results:
Only events generated after renaming VM are shown (including event that says VM was renamed)

Expected results:
All events generated before renaming VM should be shown too

Additional info:
It's working correctly in webadmin
Comment 2 Sandro Bonazzola 2014-01-14 03:43:57 EST
ovirt 3.4.0 alpha has been released
Comment 3 Itamar Heim 2014-06-12 10:05:50 EDT
Closing as part of 3.4.0

Note You need to log in before you can comment on or make changes to this bug.